import { EndpointDescription, EndpointBehavior } from "../description/endpointDescription";
import { DispatchEndpoint } from "../dispatcher/dispatchEndpoint";
import { ServiceDescription, ServiceBehavior } from "../description/serviceDescription";
import { DispatchService } from "../dispatcher/dispatchService";
/**
 * Service and Endpoint Behavior that enabled debugging information to be sent to the client.
 *
 * <uml>
 *  hide members
 *  hide circle
 *  EndpointBehavior <|.. DebugBehavior
 *  ServiceBehavior <|.. DebugBehavior
 * </uml>
 */
export declare class DebugBehavior implements EndpointBehavior, ServiceBehavior {
    applyEndpointBehavior(description: EndpointDescription, endpoint: DispatchEndpoint): void;
    applyServiceBehavior(description: ServiceDescription, service: DispatchService): void;
    /**
     * Enables debugging information in error messages for an endpoint.
     * @param endpoint The target endpoint.
     * @hidden
     */
    private _enableDebugging(endpoint);
}
