var reflect_helper_1 = require("reflect-helper");
var versioningBehavior_1 = require("./behaviors/versioningBehavior");
var debugBehavior_1 = require("./behaviors/debugBehavior");
var serviceBehaviorAnnotation_1 = require("./behaviors/serviceBehaviorAnnotation");
var annotations_1 = require("./annotations");
/**
 * We declare the decorator in this roundabout way to make it easier to document the decorators using TypeDoc.
 */
exports.Contract = reflect_helper_1.makeDecorator(annotations_1.ContractAnnotation);
exports.Operation = reflect_helper_1.makeDecorator(annotations_1.OperationAnnotation);
exports.Service = reflect_helper_1.makeDecorator(serviceBehaviorAnnotation_1.ServiceBehaviorAnnotation);
exports.Versioning = reflect_helper_1.makeDecorator(versioningBehavior_1.VersioningBehavior);
exports.Debug = reflect_helper_1.makeDecorator(debugBehavior_1.DebugBehavior);
exports.WebInvoke = reflect_helper_1.makeDecorator(annotations_1.WebInvokeAnnotation);
exports.WebGet = reflect_helper_1.makeDecorator(annotations_1.WebGetAnnotation);
exports.WebPost = reflect_helper_1.makeDecorator(annotations_1.WebPostAnnotation);
exports.WebPut = reflect_helper_1.makeDecorator(annotations_1.WebPutAnnotation);
exports.WebDelete = reflect_helper_1.makeDecorator(annotations_1.WebDeleteAnnotation);
exports.WebHead = reflect_helper_1.makeDecorator(annotations_1.WebHeadAnnotation);
exports.InjectBody = reflect_helper_1.makeDecorator(annotations_1.InjectBodyAnnotation);
