/**
 * A description of a service contract.
 *
 * <uml>
 * hide members
 * hide circle
 * EndpointDescription *-- ContractDescription : contract
 * ContractDescription *-- OperationDescription : operations
 * ContractDescription *- ContractBehavior : behaviors
 * </uml>
 */
var ContractDescription = (function () {
    function ContractDescription(name) {
        /**
         * A list of behavior extensions for the contract.
         */
        this.behaviors = [];
        /**
         * A list of operations that are a part of the contract.
         */
        this.operations = [];
        this.name = name;
    }
    return ContractDescription;
})();
exports.ContractDescription = ContractDescription;
