var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var regExpUtil_1 = require("../common/regExpUtil");
var regExpAddressMessageFilter_1 = require("./regExpAddressMessageFilter");
/**
 * A message filter that filters messages based on the message url path. The message is considered a match
 * if path in the url of the message begins with the path in the url of the filter.
 *
 * <uml>
 *  hide members
 *  hide circle
 *  MessageFilter <|-- RegExpAddressMessageFilter
 *  RegExpAddressMessageFilter <|-- BaseAddressMessageFilter
 * </uml>
 */
var BaseAddressMessageFilter = (function (_super) {
    __extends(BaseAddressMessageFilter, _super);
    /**
     * Constructs an BaseAddressMessageFilter object.
     * @param url The url to match.
     */
    function BaseAddressMessageFilter(url) {
        _super.call(this, BaseAddressMessageFilter._makeRegexp(url));
    }
    BaseAddressMessageFilter._makeRegexp = function (url) {
        if (!url) {
            throw new Error("Missing required argument 'url'.");
        }
        return new RegExp("^" + regExpUtil_1.escape(url.pathname), "i");
    };
    return BaseAddressMessageFilter;
})(regExpAddressMessageFilter_1.RegExpAddressMessageFilter);
exports.BaseAddressMessageFilter = BaseAddressMessageFilter;
