import { MessageFilter } from "./messageFilter";
import { Message } from "../message";
/**
 * A message filter that filters message where the url pathname match a given regular expression.
 *
 * <uml>
 *  hide members
 *  hide circle
 *  MessageFilter <|-- RegExpAddressMessageFilter
 * </uml>
 */
export declare class RegExpAddressMessageFilter extends MessageFilter {
    /**
     * @hidden
     */
    private _pattern;
    /**
     * Constructs a message filter.
     * @param pattern The regular expression that is required to match the url pathname.
     */
    constructor(pattern: RegExp);
    /**
     * Tests whether or not the message satisfies the criteria of the filter.
     * @param message The message to match.
     */
    match(message: Message): boolean;
}
