import { HttpStatusCode } from "./httpStatusCode";
/**
 * An error message that sets the HTTP status code. When an operation passes a HttpError to it's callback, the
 * HttpStatusCode is used to set the status of the HTTP response. The details of the error are not passed to the client.
 */
export declare class HttpError implements Error {
    /**
     * The name of the error.
     */
    name: string;
    /**
     * A human readable message explaining the reason for the error.
     */
    message: string;
    /**
     * The HTTP status code.
     */
    statusCode: HttpStatusCode;
    /**
     * The stack trace.
     */
    stack: string;
    constructor();
    constructor(statusCode: HttpStatusCode);
    constructor(message: string);
    constructor(statusCode: HttpStatusCode, message: string);
}
