var messageHeaders_1 = require("./messageHeaders");
/**
 * Represents a request to or a response from a service.
 */
var Message = (function () {
    /**
     * Constructs a message.
     * @param body The body of the message.
     * @params headers The headers for the message.
     */
    function Message(body, headers) {
        this.body = body;
        this.headers = headers || new messageHeaders_1.MessageHeaders();
    }
    /**
     * Creates a reply message.
     * @param status The HTTP status for the reply.
     * @param body The body of the reply message.
     */
    Message.createReply = function (status, body) {
        var ret = new Message(body);
        ret.statusCode = status;
        return ret;
    };
    return Message;
})();
exports.Message = Message;
